Download a page's current layout
GET
/cms/print/v2/subpages/{id}/layout
const url = 'https://api.example.com/cms/print/v2/subpages/1/layout';const options = {method: 'GET', headers: {'API-Key': '<API-Key>', 'Token-User': '<Token-User>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/print/v2/subpages/1/layout \ --header 'API-Key: <API-Key>' \ --header 'Token-User: <Token-User>'Like GET /cms/print/v2/files/{id} for the current layout file, including a page never saved from the extension (revision 0, the file it was created with, which has no id or checksum). attachments lists the CMS images placed on the layout, to download before opening it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Responses
Section titled “Responses”Layout revision and file with url
The page has no layout file